ANSI2HTML_PY(1)

NAME
ansi2html_py - translate ANSI text output to HTML

DESCRIPTION
usage: $ ls --color=always | ansi2html > directories.html $ sudo tail /var/log/messages | ccze -A | ansi2html > logs.html $ task burndown | ansi2html > burndown.html

  options:

-h, --help
    show this help message and exit

-V, --version
    show program's version number and exit

-p, --partial
    Process lines as them come in. No headers are produced.

-L, --latex
    Export as LaTeX instead of HTML.

-i, --inline
    Inline style without headers or template.

-H, --headers
    Just produce the <style> tag.

-f, --font-size SIZE
    Set the global font size in the output.

-l, --light-background
    Set output to 'light background' mode.

-W, --no-line-wrap
    Disable line wrapping.

-a, --linkify
    Transform URLs into <a> links.

-u, --unescape
    Do not escape XML tags found in the input.

-m, --markup-lines
    Surround lines with <span id='line-n'>..</span>.

--input-encoding ENCODING
    Specify input encoding

--output-encoding ENCODING
    Specify output encoding

-s, --scheme SCHEME
    Specify color palette scheme. Default: 'ansi2html'. Choices: ['ansi2html', 'dracula', 'mint-terminal', 'osx', 'osx-basic', 'osx-solid-colors', 'solarized', 'xterm']

-t, --title OUTPUT_TITLE
    Specify output title